> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Remove a file from a template’s bundle

DELETE https://api.cloudraker.com/v1/compose/configs/{idOrSlug}/files/{fileId}

Takes a file out of this template's bundle. The file itself stays in your template library — this only unlinks it.

Removing the file that `main` names would leave the template unrenderable, so that answers `422` unless the same call names the new entry point with `?main=`.

**Learn more:** [Compose](https://docs.cloudraker.com/capabilities/compose)

Reference: https://docs.cloudraker.com/api/cloud-raker-api/compose/delete-compose-template-file

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `idOrSlug` (string, required)
- `fileId` (string, required)

### Query parameters

- `main` (string, optional)

## Response

### 200

The updated template config.

- `object` ("config", required)
- `id` (string, required)
- `slug` (string, required)
- `name` (string, required)
- `capability` ("compose", required)
- `config` (object, required)
  - `schema` (map from string to any, optional)
  - `main` (string, optional)
  - `files` (list of string, optional)
  - `examples` (list of object, optional)
    - `name` (string, required)
    - `data` (map from string to any, required)
- `updatedAt` (string, optional)

## Examples

**Response**

```json
{
  "object": "string",
  "id": "string",
  "slug": "string",
  "name": "string",
  "capability": "string",
  "config": {
    "schema": {},
    "main": "invoice.typ",
    "files": [
      "string"
    ],
    "examples": [
      {
        "name": "Acme invoice",
        "data": {}
      }
    ]
  },
  "updatedAt": "string"
}
```

**SDK Code**

```typescript
import { CloudRakerClient } from "@cloudraker/api";

async function main() {
    const client = new CloudRakerClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.compose.deleteComposeTemplateFile({
        idOrSlug: "idOrSlug",
        fileId: "fileId",
    });
}
main();

```

```python
from cloudraker import CloudRaker

client = CloudRaker(
    token="YOUR_TOKEN_HERE",
)

client.compose.delete_compose_template_file(
    id_or_slug="idOrSlug",
    file_id="fileId",
)

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/v1/compose/configs/idOrSlug/files/fileId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```